e-invoices
Stable. Describes behaviour that is built and covered by tests in this repository.
GET /v1/e-invoices #
The legal e-documents (e-fatura, e-arşiv, Peppol) of invoices and credit notes, newest first
Parameters
| Name | In | Type | Description |
|---|---|---|---|
invoice_id | query | string · uuid | |
credit_note_id | query | string · uuid | |
status | query | pending | issued | failed | cancelled | |
page_size | query | integer | |
page_token | query | string |
Responses
| Status | Meaning | Body |
|---|---|---|
200 | OK | EInvoiceList |
400 | Error envelope | Error |
Example response
{
"documents": [
{
"id": "0192f0b4-6f6e-7c3a-9a3e-6a1f2b3c4d5e",
"kind": "invoice",
"invoice_id": "0192f0b4-6f6e-7c3a-9a3e-6a1f2b3c4d5e",
"credit_note_id": null,
"number": "string",
"status": "pending",
"document_type": "",
"provider": "string",
"environment": "sandbox",
"legal_number": "string",
"external_id": "string",
"attempts": 1,
"next_attempt_at": null,
"last_error_key": "einvoice.provider.rejected",
"last_error": "string",
"has_xml": false,
"has_pdf": false,
"created_at": "2026-11-03T10:15:00Z",
"issued_at": null,
"updated_at": "2026-11-03T10:15:00Z"
}
],
"next_page_token": "string",
"total": "string"
}curl
curl -X GET https://YOUR-API-ADDRESS/v1/e-invoices \
-H "Authorization: Bearer $PAYRUDDER_API_KEY"GET /v1/e-invoices/{id} #
One e-document
Parameters
| Name | In | Type | Description |
|---|---|---|---|
id required | path | string · uuid |
Responses
| Status | Meaning | Body |
|---|---|---|
200 | OK | EInvoiceDocument |
404 | Error envelope | Error |
Example response
{
"id": "0192f0b4-6f6e-7c3a-9a3e-6a1f2b3c4d5e",
"kind": "invoice",
"invoice_id": "0192f0b4-6f6e-7c3a-9a3e-6a1f2b3c4d5e",
"credit_note_id": null,
"number": "string",
"status": "pending",
"document_type": "",
"provider": "string",
"environment": "sandbox",
"legal_number": "string",
"external_id": "string",
"attempts": 1,
"next_attempt_at": null,
"last_error_key": "einvoice.provider.rejected",
"last_error": "string",
"has_xml": false,
"has_pdf": false,
"created_at": "2026-11-03T10:15:00Z",
"issued_at": null,
"updated_at": "2026-11-03T10:15:00Z"
}curl
curl -X GET https://YOUR-API-ADDRESS/v1/e-invoices/<id> \
-H "Authorization: Bearer $PAYRUDDER_API_KEY"GET /v1/e-invoices/{id}/files/{kind} #
A presigned link to the UBL XML or the PDF of an issued e-document (5 minutes)
Parameters
| Name | In | Type | Description |
|---|---|---|---|
id required | path | string · uuid | |
kind required | path | xml | pdf |
Responses
| Status | Meaning | Body |
|---|---|---|
200 | OK | SignedUrl |
404 | Error envelope | Error |
409 | Error envelope | Error |
Example response
{
"url": "string",
"expires_at": "2026-11-03T10:15:00Z"
}curl
curl -X GET https://YOUR-API-ADDRESS/v1/e-invoices/<id>/files/<kind> \
-H "Authorization: Bearer $PAYRUDDER_API_KEY"Models
EInvoiceDocument
| Field | Type | Description |
|---|---|---|
id required | string · uuid | |
kind required | invoice | credit_note | |
invoice_id required | string · uuid | |
credit_note_id required | string,null · uuid | |
number required | string | Payrudder's invoice or credit note number |
status required | pending | issued | failed | cancelled | |
document_type required | | e-fatura | e-arsiv | peppol | Empty until known |
provider required | string | |
environment required | sandbox | live | |
legal_number required | string | |
external_id required | string | |
attempts required | integer | |
next_attempt_at required | string,null · date-time | |
last_error_key required | string | |
last_error required | string | English text |
has_xml required | boolean | |
has_pdf required | boolean | |
created_at required | string · date-time | |
issued_at required | string,null · date-time | |
updated_at required | string · date-time |
EInvoiceList
| Field | Type | Description |
|---|---|---|
documents required | array of EInvoiceDocument | |
next_page_token required | string | |
total required | string · int64 |
Error
| Field | Type | Description |
|---|---|---|
error required | object |
SignedUrl
| Field | Type | Description |
|---|---|---|
url required | string · uri | |
expires_at required | string · date-time | RFC 3339, UTC |